%diera==1 -OK,diera_v_tele==2 - Not OK 
function[diera]= search_diera(Im_crop)
[rows,cols]=size(Im_crop);
percento=0.1; % udava percento vyrezu krajov z obrazku
Telo=imcrop(Im_crop,[(round(cols*percento)) (0) (cols-(round(cols*percento*2))) (rows)]);
pocet1=0;pocet2=0;
x1_buff=0;x2_buff=0;
for y=1:11; % prvych 10 stlpcov priemeruje, a vypocita kraje ihly
    for x=2:rows %aby nehladal pri dalsej podmienke 0 ty element
        if((Telo(x,y)>Telo(x-1,y)) && x<rows/2)
            x1_buff=x1_buff+x;pocet1=pocet1+1;
        end
        if((Telo(x,y)<Telo(x-1,y)) && x>rows/2)
            x2_buff=x2_buff+x;pocet2=pocet2+1;
        end
    end
    x=2;
end
x1_buff=round(x1_buff/pocet1); % x1_buff reprezentuj horny hranicu ihly
x2_buff=round(x2_buff/pocet2); % x2_buff reprezentuj dolnu hranicu ihly
[rows,cols]=size(Telo);
i=1;j=1;
diera=1; % defaultna hodnota
while (j<cols) %najprv vsetky stlpce dekrementuje a potom riadky
    while (i<rows)
        if (((Telo(i,j))==0) && i>(x1_buff+10) && i<(x2_buff-10) || ((Telo(i,j))==0) && i<(x2_buff-10)&&i>(x1_buff+10)) % -10 pixelov od hranice hornej
            diera =2;
        end
        i=i+1;
    end
    i=1;
    j=j+1;
end
figure(4)
imshow(Telo);title('search diera');
hold on;
plot([0 cols],[x1_buff x1_buff]);
plot([0 cols],[x2_buff x2_buff]);


end